Debian Bug report logs - #525718
100% CPU and continous "starting file manager" notifications at login

version graph

Package: gnome-session; Maintainer for gnome-session is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-session is src:gnome-session.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 26 Apr 2009 18:45:01 UTC

Severity: important

Merged with 531100

Fixed in version gnome-session/2.26.1-4

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=571417

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sun, 26 Apr 2009 18:45:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus 2.26.2-2 continuously launches/exits at login
Date: Sun, 26 Apr 2009 11:38:31 -0700
Package: nautilus
Version: 2.26.2-2
Severity: important

After upgrading to nautilus 2.26.2-2, the next time I logged in I saw a
continuous series of nautilus icons showing up in the window list with
"starting file manager" or similar as the text.  Several calls to "ps
uxf" revealed nautilus continuously exiting and re-launching.

I don't know what caused nautilus to die.  It *looks* like gnome-session
does the re-launching of nautilus.  .xsession-errors had no messages
from nautilus and no repeated messages from anything.

I downgraded nautilus back to 2.24.2-2, and the problem went away.
After logging in with 2.24.2-2, I see no nautilus processes running.  (I
have /apps/nautilus/preferences/show_desktop=false, so that makes
sense.)

Note that the dependencies listed below come after downgrading nautilus
back to 2.24.2-2.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nautilus depends on:
ii  desktop-file-utils         0.15-2        Utilities for .desktop files
ii  gnome-control-center       1:2.24.0.1-5  utilities to configure the GNOME d
ii  gvfs                       1.0.3-4       userspace virtual filesystem - ser
ii  libatk1.0-0                1.26.0-1      The ATK accessibility toolkit
ii  libbeagle1                 0.3.9-1       library for accessing beagle using
ii  libbonobo2-0               2.24.1-1      Bonobo CORBA interfaces library
ii  libc6                      2.9-7         GNU C Library: Shared libraries
ii  libcairo2                  1.8.6-2+b1    The Cairo 2D vector graphics libra
ii  libeel2-2.24               2.24.1-1      Eazel Extensions Library (for GNOM
ii  libexempi3                 2.1.0-3       library to parse XMP metadata (Lib
ii  libexif12                  0.6.17-1      library to parse EXIF files
ii  libgail-common             2.16.1-2      GNOME Accessibility Implementation
ii  libgail18                  2.16.1-2      GNOME Accessibility Implementation
ii  libgconf2-4                2.26.0-1      GNOME configuration database syste
ii  libglade2-0                1:2.6.4-1     library to load .glade files at ru
ii  libglib2.0-0               2.20.1-1      The GLib library of C routines
ii  libgnome-desktop-2-7       2.24.2-1      Utility library for loading .deskt
ii  libgnome2-0                2.24.1-2      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.20.1.1-1    A powerful object-oriented display
ii  libgnomeui-0               2.24.1-1      The GNOME 2 libraries (User Interf
ii  libgtk2.0-0                2.16.1-2      The GTK+ graphical user interface 
ii  libnautilus-extension1     2.26.2-2      libraries for nautilus components 
ii  liborbit2                  1:2.14.17-0.1 libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0              1.24.0-3+b1   Layout and rendering of internatio
ii  librsvg2-2                 2.22.3-2      SAX-based renderer library for SVG
ii  libselinux1                2.0.71-1      SELinux shared libraries
ii  libstartup-notification0   0.10-1        library for program launch feedbac
ii  libtrackerclient0          0.6.93-1+b1   metadata database, indexer and sea
ii  libx11-6                   2:1.2.1-1     X11 client-side library
ii  libxml2                    2.7.3.dfsg-1  GNOME XML library
ii  nautilus-data              2.24.2-2      data files for nautilus
ii  shared-mime-info           0.60-2        FreeDesktop.org shared MIME databa

Versions of packages nautilus recommends:
pn  app-install-dat <none>                   (no description available)
ii  desktop-base    5.0.5                    common files for the Debian Deskto
ii  eject           2.1.5+deb1+cvs20081104-6 ejects CDs and operates CD-Changer
pn  gvfs-backends   <none>                   (no description available)
ii  librsvg2-common 2.22.3-2                 SAX-based renderer library for SVG
ii  nautilus-cd-bur 2.24.0-3                 CD Burning front-end for Nautilus
pn  synaptic        <none>                   (no description available)
pn  xdg-user-dirs   <none>                   (no description available)

Versions of packages nautilus suggests:
ii  eog                        2.24.3.1-1+b2 Eye of GNOME graphics viewer progr
ii  evince [pdf-viewer]        2.24.2-2+b1   Document (postscript, pdf) viewer
pn  totem | mp3-decoder        <none>        (no description available)
pn  tracker                    <none>        (no description available)
ii  xpdf-reader [pdf-viewer]   3.02-1.4      Portable Document Format (PDF) sui
ii  xpdf-utils [pdf-viewer]    3.02-1.4      Portable Document Format (PDF) sui

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Thu, 30 Apr 2009 23:30:03 GMT) Full text and rfc822 format available.

Message #6 received at 525718@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <525718@bugs.debian.org>
Subject: nautilus: Different behavior with 2.26.2-3
Date: Thu, 30 Apr 2009 16:22:44 -0700
Package: nautilus
Version: 2.26.2-3
Severity: normal

I tried upgrading to 2.26.2-3, and I observed a different behavior,
though still with the same symptom of 100% CPU usage and a continuously
filling window list.

After logging in and seeing the problem begin, I ran ps uxf several
times.  I observed a single nautilus process which didn't appear to exit
and relaunch, but which constantly used about 10% CPU.  I also observed
gnome-panel and X using lots of CPU (possibly just busy updating the
window list).  Finally, I observed /usr/lib/gvfs/gvfsd-trash using a lot
of CPU.

Hope that helps,
Josh Triplett




Bug marked as found in version 2.26.2-3. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. (Thu, 30 Apr 2009 23:30:04 GMT) Full text and rfc822 format available.

Changed Bug title to `100% CPU and continous "starting file manager" notifications at login' from `nautilus 2.26.2-2 continuously launches/exits at login'. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. (Thu, 30 Apr 2009 23:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 02 May 2009 07:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525718@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 02 May 2009 07:06:02 GMT) Full text and rfc822 format available.

Message #15 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Josh Triplett <josh@freedesktop.org>, 525718@bugs.debian.org
Subject: Re: Bug#525718: nautilus: Different behavior with 2.26.2-3
Date: Sat, 02 May 2009 09:03:38 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 30 avril 2009 à 16:22 -0700, Josh Triplett a écrit :
> I tried upgrading to 2.26.2-3, and I observed a different behavior,
> though still with the same symptom of 100% CPU usage and a continuously
> filling window list.
> 
> After logging in and seeing the problem begin, I ran ps uxf several
> times.  I observed a single nautilus process which didn't appear to exit
> and relaunch, but which constantly used about 10% CPU.  I also observed
> gnome-panel and X using lots of CPU (possibly just busy updating the
> window list).  Finally, I observed /usr/lib/gvfs/gvfsd-trash using a lot
> of CPU.

What’s the contents of .gnome2/session ?

In the “current session” tab of the session management capplet, does
nautilus appear, and in what mode does it appear?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sun, 10 May 2009 19:03:05 GMT) Full text and rfc822 format available.

Message #18 received at 525718@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <525718@bugs.debian.org>
Subject: Re: Bug#525718: nautilus: Different behavior with 2.26.2-3
Date: Sun, 10 May 2009 11:55:56 -0700
Josselin Mouette wrote:
> Le jeudi 30 avril 2009 à 16:22 -0700, Josh Triplett a écrit :
> > I tried upgrading to 2.26.2-3, and I observed a different behavior,
> > though still with the same symptom of 100% CPU usage and a continuously
> > filling window list.
> > 
> > After logging in and seeing the problem begin, I ran ps uxf several
> > times.  I observed a single nautilus process which didn't appear to exit
> > and relaunch, but which constantly used about 10% CPU.  I also observed
> > gnome-panel and X using lots of CPU (possibly just busy updating the
> > window list).  Finally, I observed /usr/lib/gvfs/gvfsd-trash using a lot
> > of CPU.
> 
> What’s the contents of .gnome2/session ?

I don't have a ~/.gnome2/session .

> In the “current session” tab of the session management capplet, does
> nautilus appear, and in what mode does it appear?

The session management capplet (System > Preferences > Startup
Applications, AKA gnome-session-properties) has no "current session"
tab, just "Startup Programs" and "Options".  "Startup Programs" does not
include nautilus.

- Josh Triplett




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Tue, 12 May 2009 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to andy <andrew@diatribes.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 12 May 2009 02:12:03 GMT) Full text and rfc822 format available.

Message #23 received at 525718@bugs.debian.org (full text, mbox):

From: andy <andrew@diatribes.org>
To: Debian Bug Tracking System <525718@bugs.debian.org>
Subject: triggered by setting /apps/nautilus/preferences/show_desktop=false
Date: Mon, 11 May 2009 19:07:38 -0700
Package: nautilus
Version: 2.26.2-3
Severity: normal

i am also seeing this behavior after a recent upgrade.  i can toggle
it on & off with the /apps/nautilus/preferences/show_desktop setting.

using gconftool-2 to set it to "false" causes cpu usage to spike and
an ever-growing number of "Starting File Manager" boxes to open in the
window list.  set it to "true" and the cpu usage drops and those
boxes start disappearing from the window list.

thanks in advance for your assistance in resolving this.

	andy

-- System Information:
Debian Release: squeeze/sid
  APT prefers experimental
  APT policy: (999, 'experimental'), (990, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-rc5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus depends on:
ii  desktop-file-utils          0.15-2       Utilities for .desktop files
ii  gvfs                        1.2.2-2      userspace virtual filesystem - ser
ii  libatk1.0-0                 1.26.0-1     The ATK accessibility toolkit
ii  libbeagle1                  0.3.9-1      library for accessing beagle using
ii  libc6                       2.9-12       GNU C Library: Shared libraries
ii  libcairo2                   1.8.6-2+b1   The Cairo 2D vector graphics libra
ii  libdbus-glib-1-2            0.80-4       simple interprocess messaging syst
ii  libexempi3                  2.1.0-3      library to parse XMP metadata (Lib
ii  libexif12                   0.6.17-1     library to parse EXIF files
ii  libgail18                   2.16.1-2     GNOME Accessibility Implementation
ii  libgconf2-4                 2.26.0-1     GNOME configuration database syste
ii  libglib2.0-0                2.20.1-2     The GLib library of C routines
ii  libgnome-desktop-2-11       2.26.1-1     Utility library for loading .deskt
ii  libgtk2.0-0                 2.16.1-2     The GTK+ graphical user interface 
ii  libice6                     2:1.0.5-1    X11 Inter-Client Exchange library
ii  libnautilus-extension1      2.26.2-3     libraries for nautilus components 
ii  libpango1.0-0               1.24.0-3+b1  Layout and rendering of internatio
ii  libselinux1                 2.0.71-1     SELinux shared libraries
ii  libsm6                      2:1.1.0-2    X11 Session Management library
ii  libtrackerclient0           0.6.94-1     metadata database, indexer and sea
ii  libunique-1.0-0             1.0.8-1      Library for writing single instanc
ii  libx11-6                    2:1.2.1-1    X11 client-side library
ii  libxml2                     2.7.3.dfsg-1 GNOME XML library
ii  libxrender1                 1:0.9.4-2    X Rendering Extension client libra
ii  nautilus-data               2.26.2-3     data files for nautilus
ii  shared-mime-info            0.60-2       FreeDesktop.org shared MIME databa

Versions of packages nautilus recommends:
ii  app-install-dat 2008.11.27               Application Installer Data Files
ii  consolekit      0.3.0-2                  framework for defining and trackin
ii  desktop-base    5.0.5                    common files for the Debian Deskto
ii  eject           2.1.5+deb1+cvs20081104-6 ejects CDs and operates CD-Changer
ii  gnome-mount     0.8-2                    wrapper for (un)mounting and eject
ii  gvfs-backends   1.2.2-2                  userspace virtual filesystem - bac
ii  librsvg2-common 2.22.3-2                 SAX-based renderer library for SVG
ii  nautilus-cd-bur 2.24.0-3                 CD Burning front-end for Nautilus
ii  synaptic        0.62.5+b1                Graphical package manager

Versions of packages nautilus suggests:
ii  acroread [pdf-viewer]      9.1.0-0.5     Adobe Acrobat Reader: Portable Doc
ii  eog                        2.24.3.1-1+b2 Eye of GNOME graphics viewer progr
ii  evince [pdf-viewer]        2.24.2-2+b1   Document (postscript, pdf) viewer
ii  totem                      2.26.1-1      A simple media player for the GNOM
pn  tracker                    <none>        (no description available)
pn  xdg-user-dirs              <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Tue, 12 May 2009 07:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525718@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 12 May 2009 07:42:04 GMT) Full text and rfc822 format available.

Message #28 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: andy <andrew@diatribes.org>, 525718@bugs.debian.org
Subject: Re: Bug#525718: triggered by setting /apps/nautilus/preferences/show_desktop=false
Date: Tue, 12 May 2009 09:41:18 +0200
[Message part 1 (text/plain, inline)]
Le lundi 11 mai 2009 à 19:07 -0700, andy a écrit :
> i am also seeing this behavior after a recent upgrade.  i can toggle
> it on & off with the /apps/nautilus/preferences/show_desktop setting.
> 
> using gconftool-2 to set it to "false" causes cpu usage to spike and
> an ever-growing number of "Starting File Manager" boxes to open in the
> window list.  set it to "true" and the cpu usage drops and those
> boxes start disappearing from the window list.

Sorry but I cannot reproduce that.

When this happens, are there some other nautilus processes in the
process list? What is their parent? (You can see it with ps -elf.)

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Tue, 12 May 2009 16:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to andy <andrew@diatribes.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 12 May 2009 16:09:16 GMT) Full text and rfc822 format available.

Message #33 received at 525718@bugs.debian.org (full text, mbox):

From: andy <andrew@diatribes.org>
To: 525718@bugs.debian.org
Subject: Re: Bug#525718: triggered by setting /apps/nautilus/preferences/show_desktop=false
Date: Tue, 12 May 2009 08:57:33 -0700
On Tue, 2009-05-12 at 09:41 +0200, Josselin Mouette wrote:
> 
> When this happens, are there some other nautilus processes in the
> process list? What is their parent? (You can see it with ps -elf.)

nope, there's just a single nautilus process and its parent is
gnome-session (output below).

as a note, i've seen this on 2 laptops.  in the first the problem
started over the course of upgrading.  the other (its replacement) was a
fresh debian install last week with a clean ~/.gconf and ~/.gnome2.  the
issue appeared immediately.

thanks again!

	andy

in my current state where "show_desktop=false":
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY
TIME CMD
4 S andrew   22338  3723  0  80   0 - 43318 -      May11 ?
00:00:00 gnome-session
0 S andrew   23199 22338  0  80   0 - 116898 -     May11 ?
00:00:06 nautilus

after setting "show_desktop=true":
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY
TIME CMD
4 S andrew   22338  3723  0  80   0 - 43318 -      May11 ?
00:00:00 gnome-session
0 S andrew    9872 22338  0  80   0 - 45714 -      08:35 ?
00:00:00 nautilus

reverting to "show_desktop=false":
F S UID        PID  PPID  C PRI  NI ADDR SZ WCHAN  STIME TTY
TIME CMD
4 S andrew   22338  3723  0  80   0 - 43318 -      May11 ?
00:00:00 gnome-session
0 S andrew    9895 22338  1  80   0 - 116989 -     08:35 ?
00:00:00 nautilus

-- 
andy <andrew@diatribes.org>
diatribes





Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Tue, 12 May 2009 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to andy <andrew@diatribes.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 12 May 2009 19:30:04 GMT) Full text and rfc822 format available.

Message #38 received at 525718@bugs.debian.org (full text, mbox):

From: andy <andrew@diatribes.org>
To: 525718@bugs.debian.org
Subject: Re: Bug#525718: triggered by setting /apps/nautilus/preferences/show_desktop=false
Date: Tue, 12 May 2009 12:27:30 -0700
minor correction, sorry...  likely doesn't matter, but i reversed the
descriptions in the ps output in my earlier email.  the first and third
snippets (higher SZ) were with "show_desktop=true".  the second was with
"show_desktop=false".

-- 
andy <andrew@diatribes.org>
diatribes





Information forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Thu, 28 May 2009 19:03:05 GMT) Full text and rfc822 format available.

Message #41 received at 525718@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <525718@bugs.debian.org>
Subject: nautilus 2.26.2-3 still not working; new processes appearing
Date: Thu, 28 May 2009 11:53:13 -0700
Package: nautilus
Version: 2.26.2-3
Severity: normal

I tried upgrading to 2.26.2-3 again to investigate the problem further,
and I observed nautilus processes continuously starting and exiting.  I
don't know why it previously appeared to start only a single process,
but that no longer seems the case.

Please let me know if I can do anything else to help debug this.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nautilus depends on:
ii  desktop-file-utils          0.15-2       Utilities for .desktop files
ii  gvfs                        1.2.2-2      userspace virtual filesystem - ser
ii  libatk1.0-0                 1.26.0-1     The ATK accessibility toolkit
ii  libbeagle1                  0.3.9-1      library for accessing beagle using
ii  libc6                       2.9-13       GNU C Library: Shared libraries
ii  libcairo2                   1.8.6-2+b1   The Cairo 2D vector graphics libra
ii  libdbus-glib-1-2            0.80-4       simple interprocess messaging syst
ii  libexempi3                  2.1.0-3      library to parse XMP metadata (Lib
ii  libexif12                   0.6.17-1     library to parse EXIF files
ii  libgail18                   2.16.1-2     GNOME Accessibility Implementation
ii  libgconf2-4                 2.26.0-1     GNOME configuration database syste
ii  libglib2.0-0                2.20.1-2     The GLib library of C routines
ii  libgnome-desktop-2-11       2.26.1-1     Utility library for loading .deskt
ii  libgtk2.0-0                 2.16.1-2     The GTK+ graphical user interface 
ii  libice6                     2:1.0.5-1    X11 Inter-Client Exchange library
ii  libnautilus-extension1      2.26.2-3     libraries for nautilus components 
ii  libpango1.0-0               1.24.2-1     Layout and rendering of internatio
ii  libselinux1                 2.0.71-1     SELinux shared libraries
ii  libsm6                      2:1.1.0-2    X11 Session Management library
ii  libtrackerclient0           0.6.95-1     metadata database, indexer and sea
ii  libunique-1.0-0             1.0.8-1      Library for writing single instanc
ii  libx11-6                    2:1.2.1-1    X11 client-side library
ii  libxml2                     2.7.3.dfsg-1 GNOME XML library
ii  libxrender1                 1:0.9.4-2    X Rendering Extension client libra
ii  nautilus-data               2.26.2-3     data files for nautilus
ii  shared-mime-info            0.60-2       FreeDesktop.org shared MIME databa

Versions of packages nautilus recommends:
pn  app-install-dat <none>                   (no description available)
ii  consolekit      0.3.0-2                  framework for defining and trackin
ii  desktop-base    5.0.5                    common files for the Debian Deskto
ii  eject           2.1.5+deb1+cvs20081104-6 ejects CDs and operates CD-Changer
ii  gnome-mount     0.8-2                    wrapper for (un)mounting and eject
pn  gvfs-backends   <none>                   (no description available)
ii  librsvg2-common 2.22.3-2                 SAX-based renderer library for SVG
ii  nautilus-cd-bur 2.24.0-3                 CD Burning front-end for Nautilus
pn  synaptic        <none>                   (no description available)

Versions of packages nautilus suggests:
ii  eog                           2.26.2-1   Eye of GNOME graphics viewer progr
ii  evince [pdf-viewer]           2.26.1-2   Document (postscript, pdf) viewer
pn  totem | mp3-decoder           <none>     (no description available)
pn  tracker                       <none>     (no description available)
pn  xdg-user-dirs                 <none>     (no description available)
ii  xpdf-reader [pdf-viewer]      3.02-1.4   Portable Document Format (PDF) sui
ii  xpdf-utils [pdf-viewer]       3.02-1.4   Portable Document Format (PDF) sui

-- no debconf information




Noted your statement that Bug has been forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=571417. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. (Thu, 28 May 2009 19:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Fri, 29 May 2009 06:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525718@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 29 May 2009 06:51:02 GMT) Full text and rfc822 format available.

Message #48 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Josh Triplett <josh@freedesktop.org>, 525718@bugs.debian.org
Subject: Re: Bug#525718: nautilus 2.26.2-3 still not working; new processes appearing
Date: Fri, 29 May 2009 08:49:43 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 28 mai 2009 à 11:53 -0700, Josh Triplett a écrit :
> I tried upgrading to 2.26.2-3 again to investigate the problem further,
> and I observed nautilus processes continuously starting and exiting.  I
> don't know why it previously appeared to start only a single process,
> but that no longer seems the case.
> 
> Please let me know if I can do anything else to help debug this.

What command-line parameters is the continuously started process started
with?

Do you confirm you have show_desktop unchecked and that the bug
disappears if you check it, or is it a different issue? (Well, probably
not so different…)

Is there another nautilus process running while this is happening? Is it
working correctly?

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 10:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 10:36:12 GMT) Full text and rfc822 format available.

Message #53 received at 525718@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 525718@bugs.debian.org
Subject: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 12:19:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have observed this as well (though without the starting notifications,
probably due to running xmonad).

Since I don’t use nautilus (or rarely), I worked around it by removing
filemanager from the list at the gconf key:
/desktop/gnome/session/required_components_list

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:03:02 GMT) Full text and rfc822 format available.

Message #58 received at 525718@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Joachim Breitner <nomeata@debian.org>, 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 16:55:45 +0200
On Sat, May 30, 2009 at 12:19:26PM +0200, Joachim Breitner wrote:
> Hi,
> 
> I have observed this as well (though without the starting notifications,
> probably due to running xmonad).
> 
> Since I don’t use nautilus (or rarely), I worked around it by removing
> filemanager from the list at the gconf key:
> /desktop/gnome/session/required_components_list

I have this as well, but haven't managed to remove this key with
gconf-editor. The best I could do is to set it to '', in which case,
.xsesssion-errors reports:
WARNING: Unable to find provider '' of required component 'filenamager'
Likewise for panel, that I'd like to remove.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:03:03 GMT) Full text and rfc822 format available.

Message #63 received at 525718@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 16:59:35 +0200
[Message part 1 (text/plain, inline)]
Hi Mike,

Am Samstag, den 30.05.2009, 16:55 +0200 schrieb Mike Hommey:
> On Sat, May 30, 2009 at 12:19:26PM +0200, Joachim Breitner wrote:
> > Hi,
> > 
> > I have observed this as well (though without the starting notifications,
> > probably due to running xmonad).
> > 
> > Since I don’t use nautilus (or rarely), I worked around it by removing
> > filemanager from the list at the gconf key:
> > /desktop/gnome/session/required_components_list
> 
> I have this as well, but haven't managed to remove this key with
> gconf-editor. The best I could do is to set it to '', in which case,
> .xsesssion-errors reports:
> WARNING: Unable to find provider '' of required component 'filenamager'
> Likewise for panel, that I'd like to remove.

Note that I’m not removing the key 
	/desktop/gnome/session/required_components/filemanager
but just the entry “filemanager” in the list of string at the key
	/desktop/gnome/session/required_components_list

Does that help you?

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:09:03 GMT) Full text and rfc822 format available.

Message #68 received at 525718@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 17:07:44 +0200
On Sat, May 30, 2009 at 04:59:35PM +0200, Joachim Breitner wrote:
> Hi Mike,
> 
> Am Samstag, den 30.05.2009, 16:55 +0200 schrieb Mike Hommey:
> > On Sat, May 30, 2009 at 12:19:26PM +0200, Joachim Breitner wrote:
> > > Hi,
> > > 
> > > I have observed this as well (though without the starting notifications,
> > > probably due to running xmonad).
> > > 
> > > Since I don’t use nautilus (or rarely), I worked around it by removing
> > > filemanager from the list at the gconf key:
> > > /desktop/gnome/session/required_components_list
> > 
> > I have this as well, but haven't managed to remove this key with
> > gconf-editor. The best I could do is to set it to '', in which case,
> > .xsesssion-errors reports:
> > WARNING: Unable to find provider '' of required component 'filenamager'
> > Likewise for panel, that I'd like to remove.
> 
> Note that I’m not removing the key 
> 	/desktop/gnome/session/required_components/filemanager
> but just the entry “filemanager” in the list of string at the key
> 	/desktop/gnome/session/required_components_list

That's what I meant, the best i can do is to set filemanager and panel
to '', not remove them.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:33:03 GMT) Full text and rfc822 format available.

Message #73 received at 525718@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 17:28:04 +0200
[Message part 1 (text/plain, inline)]
Hi Mike,

Am Samstag, den 30.05.2009, 17:07 +0200 schrieb Mike Hommey:
> > Note that I’m not removing the key 
> > 	/desktop/gnome/session/required_components/filemanager
> > but just the entry “filemanager” in the list of string at the key
> > 	/desktop/gnome/session/required_components_list
> 
> That's what I meant, the best i can do is to set filemanager and panel
> to '', not remove them.

Sorry, I can’t reproduce that. The Remove button next to the list of
entries works fine here. Are you sure you are editing the list? It
should look similar to this:
http://files.opensuse.org/opensuse/en/c/c3/Gconf-editor_compiz_plugins_key.png
Is the Remove button greyed out, or does not just not work?

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:36:04 GMT) Full text and rfc822 format available.

Message #78 received at 525718@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 17:33:10 +0200
On Sat, May 30, 2009 at 05:28:04PM +0200, Joachim Breitner wrote:
> Hi Mike,
> 
> Am Samstag, den 30.05.2009, 17:07 +0200 schrieb Mike Hommey:
> > > Note that I’m not removing the key 
> > > 	/desktop/gnome/session/required_components/filemanager
> > > but just the entry “filemanager” in the list of string at the key
> > > 	/desktop/gnome/session/required_components_list
> > 
> > That's what I meant, the best i can do is to set filemanager and panel
> > to '', not remove them.
> 
> Sorry, I can’t reproduce that. The Remove button next to the list of
> entries works fine here. Are you sure you are editing the list? It
> should look similar to this:
> http://files.opensuse.org/opensuse/en/c/c3/Gconf-editor_compiz_plugins_key.png
> Is the Remove button greyed out, or does not just not work?

Is that gconf-editor 2.26 ? I apparently have 2.24, which is totally
different. (I'm amazed how simplistic it became... even advanced tools
get dumbed down, how great)

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package nautilus. (Sat, 30 May 2009 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sat, 30 May 2009 15:39:06 GMT) Full text and rfc822 format available.

Message #83 received at 525718@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 525718@bugs.debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sat, 30 May 2009 17:36:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 30.05.2009, 17:33 +0200 schrieb Mike Hommey:
> On Sat, May 30, 2009 at 05:28:04PM +0200, Joachim Breitner wrote:
> > Am Samstag, den 30.05.2009, 17:07 +0200 schrieb Mike Hommey:
> > > > Note that I’m not removing the key 
> > > > 	/desktop/gnome/session/required_components/filemanager
> > > > but just the entry “filemanager” in the list of string at the key
> > > > 	/desktop/gnome/session/required_components_list
> > > 
> > > That's what I meant, the best i can do is to set filemanager and panel
> > > to '', not remove them.
> > 
> > Sorry, I can’t reproduce that. The Remove button next to the list of
> > entries works fine here. Are you sure you are editing the list? It
> > should look similar to this:
> > http://files.opensuse.org/opensuse/en/c/c3/Gconf-editor_compiz_plugins_key.png
> > Is the Remove button greyed out, or does not just not work?
> 
> Is that gconf-editor 2.26 ? I apparently have 2.24, which is totally
> different. (I'm amazed how simplistic it became... even advanced tools
> get dumbed down, how great)

Now, I also have 2.24. You must be trying to edit the wrong spot. This
is what I did:

     1. In the left pane, navigate to /desktop/gnome/session and click
        on session.
     2. In the right pane, double click on "required_components_list".
     3. Under values, select "filemanger".
     4. Click "Remove"

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `nautilus' to `gnome-session'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 31 May 2009 12:36:03 GMT) Full text and rfc822 format available.

Forcibly Merged 525718 531100. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 31 May 2009 12:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Sun, 31 May 2009 13:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525718@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 31 May 2009 13:12:09 GMT) Full text and rfc822 format available.

Message #92 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Joachim Breitner <nomeata@debian.org>, 525718@bugs.debian.org
Cc: Mike Hommey <mh@glandium.org>, Josh Triplett <josh@freedesktop.org>, Christoph Anton Mitterer <calestyo@scientia.net>, lolando@debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sun, 31 May 2009 14:59:06 +0200
[Message part 1 (text/plain, inline)]
Le samedi 30 mai 2009 à 17:36 +0200, Joachim Breitner a écrit :
>      1. In the left pane, navigate to /desktop/gnome/session and click
>         on session.
>      2. In the right pane, double click on "required_components_list".
>      3. Under values, select "filemanger".
>      4. Click "Remove"

Apparently this is the right fix, since nautilus is not actually a
“required component”: a number of users don’t use it to render the
desktop and as such don’t need any nautilus process.

I’m uploading a change that makes nautilus an autostart application,
like e.g. vino-server, which only starts when show_desktop is true,
instead of a required component which is restarted as soon as it is
missing. You should now be able to see the nautilus process start and
stop when you simply click on show_desktop, which definitely looks like
the correct behavior.

There doesn’t seem to be any bad interactions with session management
now that auto-respawn is disabled. The only drawback is that when
nautilus crashes or is killed by hand, you also have to restart it by
hand. In all cases, I’d appreciate if you could tell me whether that
works for your setups, which all seem a bit specific, before I forward
these important changes to upstream.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Sun, 31 May 2009 13:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Sun, 31 May 2009 13:12:10 GMT) Full text and rfc822 format available.

Message #97 received at 525718@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: 525718@bugs.debian.org
Cc: Joachim Breitner <nomeata@debian.org>, Josh Triplett <josh@freedesktop.org>, Christoph Anton Mitterer <calestyo@scientia.net>, lolando@debian.org
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sun, 31 May 2009 15:04:44 +0200
On Sun, May 31, 2009 at 02:59:06PM +0200, Josselin Mouette wrote:
> Le samedi 30 mai 2009 à 17:36 +0200, Joachim Breitner a écrit :
> >      1. In the left pane, navigate to /desktop/gnome/session and click
> >         on session.
> >      2. In the right pane, double click on "required_components_list".
> >      3. Under values, select "filemanger".
> >      4. Click "Remove"
> 
> Apparently this is the right fix, since nautilus is not actually a
> “required component”: a number of users don’t use it to render the
> desktop and as such don’t need any nautilus process.

It'd be nice if the panel was treated the same. I, for one, don't need it.

Mike




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sun, 31 May 2009 13:45:04 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. (Sun, 31 May 2009 13:45:04 GMT) Full text and rfc822 format available.

Message #102 received at 525718-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 525718-close@bugs.debian.org
Subject: Bug#525718: fixed in gnome-session 2.26.1-4
Date: Sun, 31 May 2009 13:17:04 +0000
Source: gnome-session
Source-Version: 2.26.1-4

We believe that the bug you reported is fixed in the latest version of
gnome-session, which is due to be installed in the Debian FTP archive:

gnome-session_2.26.1-4.diff.gz
  to pool/main/g/gnome-session/gnome-session_2.26.1-4.diff.gz
gnome-session_2.26.1-4.dsc
  to pool/main/g/gnome-session/gnome-session_2.26.1-4.dsc
gnome-session_2.26.1-4_amd64.deb
  to pool/main/g/gnome-session/gnome-session_2.26.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 525718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated gnome-session package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 May 2009 14:04:06 +0200
Source: gnome-session
Binary: gnome-session
Architecture: source amd64
Version: 2.26.1-4
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gnome-session - The GNOME Session Manager
Closes: 525718
Changes: 
 gnome-session (2.26.1-4) unstable; urgency=low
 .
   * gconf-defaults: remove the file manager from the required components
     list. Now that nautilus has an autostart file, this is no longer
     necessary. It avoids restarting it endlessly when this is not
     required. Closes: #525718.
   * Break nautilus << 2.26.2-4 to ensure the autostart file is here.
Checksums-Sha1: 
 b0c158cd5f6c7e73588a2f755bc6f5c2c0a9438b 1528 gnome-session_2.26.1-4.dsc
 44dcf43055240a4556b34eb3cbb673fe1a4b0fd8 581783 gnome-session_2.26.1-4.diff.gz
 bb5092d1873e471831a2d9b3b197398837ac9eea 614348 gnome-session_2.26.1-4_amd64.deb
Checksums-Sha256: 
 3951edcfb75c704d4a456b18e39db5ea0dda9389b2b071a5a7b02dc10f42005a 1528 gnome-session_2.26.1-4.dsc
 50552c06315bef9f83979f1e59d2180fe7d01c88ad9bcd0d331e088d33929d89 581783 gnome-session_2.26.1-4.diff.gz
 801108778ff8fca89244348c64e1a1dbb81fcd8cfaee3c4eb857a636f17b1a91 614348 gnome-session_2.26.1-4_amd64.deb
Files: 
 4ee2955d620257987cbbd6952c44120c 1528 gnome optional gnome-session_2.26.1-4.dsc
 a18451f7f1ecdf979a523ba6deff449c 581783 gnome optional gnome-session_2.26.1-4.diff.gz
 4d3f8077f17db3a60ebe8ebbd282336f 614348 gnome optional gnome-session_2.26.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKIn6VrSla4ddfhTMRAjg0AJ9hwXxMUbwZuer0okjD759qqQdBiACfYDzO
ezYkd/CZO9Nc3psTXYfOZTk=
=Aaif
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sun, 31 May 2009 13:45:05 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Sun, 31 May 2009 13:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#525718; Package gnome-session. (Sun, 31 May 2009 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. (Sun, 31 May 2009 16:57:06 GMT) Full text and rfc822 format available.

Message #112 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Mike Hommey <mh@glandium.org>, 525718@bugs.debian.org
Cc: Joachim Breitner <nomeata@debian.org>, lolando@debian.org, Christoph Anton Mitterer <calestyo@scientia.net>, Josh Triplett <josh@freedesktop.org>
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Sun, 31 May 2009 18:35:52 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 31 mai 2009 à 15:04 +0200, Mike Hommey a écrit :
> > Apparently this is the right fix, since nautilus is not actually a
> > “required component”: a number of users don’t use it to render the
> > desktop and as such don’t need any nautilus process.
> 
> It'd be nice if the panel was treated the same. I, for one, don't need it.

It’s not as simple with the panel; a session without the panel is really
unusable. This is also why it needs to be respawned if it dies for
whatever reason, unlike nautilus for which this is just comfort.

So for the panel, it makes more sense to let users who don’t need it
remove it from the required components by hand. 

OTOH it would be better if all of this could be documented in the
README.Debian. I’ll add that to the next upload.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Mon, 01 Jun 2009 02:42:03 GMT) Full text and rfc822 format available.

Message #115 received at 525718@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <525718@bugs.debian.org>
Subject: gnome-session: Fix confirmed
Date: Sun, 31 May 2009 19:33:46 -0700
Package: gnome-session
Severity: normal

I can confirm that gnome-session 2.26.1-4 and nautilus 2.26.2-4 together
fix this problem.

Thanks!

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-session depends on:
ii  dbus-x11                      1.2.14-2   simple interprocess messaging syst
ii  gconf2                        2.26.2-1   GNOME configuration database syste
ii  gnome-settings-daemon         2.26.1-2   daemon handling the GNOME session 
ii  libc6                         2.9-13     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.14-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.80-4     simple interprocess messaging syst
ii  libgconf2-4                   2.26.2-1   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.1-2   The GLib library of C routines
ii  libgtk2.0-0                   2.16.1-2   The GTK+ graphical user interface 
ii  libice6                       2:1.0.5-1  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.24.2-1   Layout and rendering of internatio
ii  libpolkit-dbus2               0.9-3      library for accessing PolicyKit vi
ii  libpolkit-gnome0              0.9.2-2    PolicyKit-gnome library
ii  libpolkit2                    0.9-3      library for accessing PolicyKit
ii  libsm6                        2:1.1.0-2  X11 Session Management library
ii  libstartup-notification0      0.10-1     library for program launch feedbac
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxau6                       1:1.0.4-2  X11 authorisation library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxrender1                   1:0.9.4-2  X Rendering Extension client libra
ii  libxtst6                      2:1.0.3-1  X11 Testing -- Resource extension 
ii  policykit-gnome               0.9.2-2    GNOME dialogs for PolicyKit

Versions of packages gnome-session recommends:
ii  gnome-panel                   2.26.2-1   launcher and docking facility for 
ii  metacity                      1:2.24.0-2 A lightweight GTK2 based Window Ma
ii  nautilus                      2.26.2-4   file manager and graphical shell f

Versions of packages gnome-session suggests:
ii  desktop-base                  5.0.5      common files for the Debian Deskto
ii  gnome-keyring                 2.26.1-1   GNOME keyring services (daemon and
ii  gnome-user-guide [gnome2-user 2.24.2-2   GNOME user's guide

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Tue, 02 Jun 2009 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Tue, 02 Jun 2009 21:48:02 GMT) Full text and rfc822 format available.

Message #120 received at 525718@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Josselin Mouette <joss@debian.org>
Cc: Mike Hommey <mh@glandium.org>, 525718@bugs.debian.org, Joachim Breitner <nomeata@debian.org>, lolando@debian.org, Josh Triplett <josh@freedesktop.org>
Subject: Re: Bug#525718: Work-around for nautilus/gnome-session bug
Date: Tue, 02 Jun 2009 23:44:12 +0200
[Message part 1 (text/plain, inline)]
On Sun, 2009-05-31 at 18:35 +0200, Josselin Mouette wrote:
> OTOH it would be better if all of this could be documented in the
> README.Debian. I’ll add that to the next upload.
This is really nice,.. especially that stuff about using compiz per
default.

However,.. I'd suggest that you put this change also in the NEWS file,
as until know it was default to use metacity, even when compiz was
installed.
So I as at first suprised, seeing compiz started ;)


Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Wed, 03 Jun 2009 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to darren <darren.hoo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 03 Jun 2009 14:21:02 GMT) Full text and rfc822 format available.

Message #125 received at 525718@bugs.debian.org (full text, mbox):

From: darren <darren.hoo@gmail.com>
To: 525718@bugs.debian.org
Subject: is it possible to switch filemanager back to required_components?
Date: Wed, 3 Jun 2009 22:19:41 +0800
> It’s not as simple with the panel; a session without the panel is really
> unusable. This is also why it needs to be respawned if it dies for
> whatever reason, unlike nautilus for which this is just comfort.
>
> So for the panel, it makes more sense to let users who don’t need it
> remove it from the required components by hand.
>
> OTOH it would be better if all of this could be documented in the
> README.Debian. I’ll add that to the next upload.

remove nautilus(filemanager) from required components and make
it as an autostart item seems much better for most people.

but I personally much like session-manager to respawn  nautilus
when it exits  or being killed manually in cases it hangs when  browsing remote
directory using sftp or samba while the server dies,is it possible to switch
nautilus back to  required components?

here is what I tried but failed:
remove  /usr/share/gnome/autostart/nautilus.desktop
then add filemanager back to required_components_list

logout and login again,nautils is not started by the session-manager
it says in .xsession-errors:
 WARNING: Unable to find provider 'nautilus' of required component 'filemanager'

Anyting I did wrong?or is it impossible to switch back?




Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Wed, 03 Jun 2009 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 525718@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Wed, 03 Jun 2009 15:03:04 GMT) Full text and rfc822 format available.

Message #130 received at 525718@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: darren <darren.hoo@gmail.com>, 525718@bugs.debian.org
Subject: Re: Bug#525718: is it possible to switch filemanager back to required_components?
Date: Wed, 03 Jun 2009 16:59:55 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 03 juin 2009 à 22:19 +0800, darren a écrit :
> remove nautilus(filemanager) from required components and make
> it as an autostart item seems much better for most people.
> 
> but I personally much like session-manager to respawn  nautilus
> when it exits  or being killed manually in cases it hangs when  browsing remote
> directory using sftp or samba while the server dies,is it possible to switch
> nautilus back to  required components?

Nautilus does not restart because it is in the required components, but
also because it registers as an autorestart application.

BTW, I suggest you report bugs (upstream if possible) for the cases
where it hangs, since a hanging mount is not supposed to make nautilus
hang. I’d prefer that we fix bugs instead of relying on behavior that
interacts pretty badly with the session manager.

> here is what I tried but failed:
> remove  /usr/share/gnome/autostart/nautilus.desktop
> then add filemanager back to required_components_list

If you really want this, you need to set X-GNOME-AutoRestart=true in the
desktop file.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#525718; Package gnome-session. (Fri, 05 Jun 2009 06:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to andy <andrew@diatribes.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Fri, 05 Jun 2009 06:00:04 GMT) Full text and rfc822 format available.

Message #135 received at 525718@bugs.debian.org (full text, mbox):

From: andy <andrew@diatribes.org>
To: 525718@bugs.debian.org
Subject: Bug#525718: fix confirmed
Date: Thu, 04 Jun 2009 22:58:00 -0700
yes, the changes have resolved this issue on my box.

thanks...

	andy

-- 
andy <andrew@diatribes.org>
diatribes





Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:54:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Oct 2009 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:23:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.